namespace InABox.Rpc
{
    public class RpcTransportOpenArgs
    {
        public IRpcSession? Session { get; set; }

        public RpcTransportOpenArgs(IRpcSession? session)
        {
            Session = session;
        }
    }

    public delegate void RpcTransportOpenEvent(IRpcTransport transport, RpcTransportOpenArgs e);
}